### Method

# Vips Image bandmean

#### Declaration [src]

    int
    vips_bandmean (
      VipsImage* in,
      VipsImage** out,
      ...
    )

#### Description [src]

This operation writes a one-band image where each pixel is the average of the bands for that pixel in the input image. The output band format is the same as the input band format. Integer types use round-to-nearest averaging.

See also

`vips_add()`, `vips_avg()`, `vips_recomb()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.